# PSF-LoginServer - master - net.psforever.packet.control.HandleGamePacket
PSF - LoginServer - master - net.psforever.packet.control.HandleGamePacket
Keywords: PSF LoginServer master net.psforever.packet.control.HandleGamePacket

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
- ClientStart
- ConnectionClose
- ControlSync
- ControlSyncResp
- HandleGamePacket
- MultiPacket
- MultiPacketEx
- RelatedA
- RelatedB
- ServerStart
- SlottedMetaPacket
- TeardownConnection
- Unknown30

o

net.psforever.packet.control

# HandleGamePacket 

###
Companion class HandleGamePacket

#### object HandleGamePacket extends Marshallable[HandleGamePacket] with Serializable

Source
  HandleGamePacket.scala

Linear Supertypes
Serializable, Marshallable[HandleGamePacket], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HandleGamePacket
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(stream: ByteVector): HandleGamePacket
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  implicit val codec: Codec[HandleGamePacket]
   Definition Classes
     HandleGamePacket → Marshallable
8.  def decode(a: BitVector): Attempt[DecodeResult[HandleGamePacket]]
   Definition Classes
     Marshallable
9.  def encode(a: HandleGamePacket): Attempt[BitVector]
   Definition Classes
     Marshallable
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[HandleGamePacket]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped